Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::bad_url Class Reference

Inheritance diagram for openvrml::bad_url:

[legend]
List of all members.

## Detailed Description

Thrown when there is a problem resolving a URI.

## Public Member Functions

| bad_url (const std::string &message)
| Construct.
virtual | ~bad_url () throw ()
| Destroy.

## Constructor & Destructor Documentation

openvrml::bad_url::bad_url | ( | const std::string & | message | ) |

Construct.

Parameters:

  | message | Informative text.

openvrml::bad_url::~bad_url | ( |  | ) | throw ()`[virtual]`

| Destroy.